package org.apache.xindice.client.corba.db;

//
// Helper class for : CollectionManager
//
// @author OpenORB Compiler
//
public class CollectionManagerHelper
{
	//
	// Insert CollectionManager into an any
	// @param	a an any
	// @param	t CollectionManager value
	//
	public static void insert( org.omg.CORBA.Any a, org.apache.xindice.client.corba.db.CollectionManager t )
	{
		a.insert_Object( t , type() );
	}

	//
	// Extract CollectionManager from an any
	// @param	a an any
	// @return the extracted CollectionManager value
	//
	public static org.apache.xindice.client.corba.db.CollectionManager extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		try {
			return org.apache.xindice.client.corba.db.CollectionManagerHelper.narrow( a.extract_Object() );
		}
		catch ( org.omg.CORBA.BAD_PARAM ex ) {
			throw new org.omg.CORBA.MARSHAL();
		}
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the CollectionManager TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"CollectionManager");
		}
		return _tc;
	}

	//
	// Return the CollectionManager IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/CollectionManager:1.0";

	//
	// Read CollectionManager from a marshalled stream
	// @param	istream the input stream
	// @return the readed CollectionManager value
	//
	public static org.apache.xindice.client.corba.db.CollectionManager read( org.omg.CORBA.portable.InputStream istream )
	{
		return( org.apache.xindice.client.corba.db.CollectionManager )istream.read_Object( org.apache.xindice.client.corba.db._CollectionManagerStub.class );
	}

	//
	// Write CollectionManager into a marshalled stream
	// @param	ostream the output stream
	// @param	value CollectionManager value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, org.apache.xindice.client.corba.db.CollectionManager value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to CollectionManager
	// @param	obj the CORBA Object
	// @return CollectionManager Object
	//
	public static CollectionManager narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof CollectionManager )
			return ( CollectionManager)obj;

		if ( obj._is_a( id() ) )
		{
			_CollectionManagerStub stub = new _CollectionManagerStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

	//
	// Unchecked Narrow CORBA::Object to CollectionManager
	// @param	obj the CORBA Object
	// @return CollectionManager Object
	//
	public static CollectionManager unchecked_narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof CollectionManager )
			return ( CollectionManager)obj;

		_CollectionManagerStub stub = new _CollectionManagerStub();
		stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
		return stub;

	}

}
